
uniform vec3 color;

varying vec3 normal;

void main()
{
	float intensity;
	vec4 c;

	// light vector, assuming directional light
	vec3 l = normalize( gl_LightSource[0].position.xyz );
	vec3 n = normalize(normal);	// must be normalized,
								// since it is the result of linear interpolation
	intensity = dot( l, n );

	if (intensity > 0.95)
		c = vec4( color,1.0 );
	else if (intensity > 0.7)
		c = vec4( 0.7*color, 1.0 );
	else if (intensity > 0.4)
		c = vec4( 0.4*color, 1.0 );
	else
		c = vec4( 0.2*color, 1.0 );

	gl_FragColor = c;
}
